Subject: [PATCH 0/6] Add hydrus network and its dependencies
From: Tomasz Jeneralczyk <[email-masked]>
To: [email-masked]
Cc: Tomasz Jeneralczyk <[email-masked]>
Date: Wed, 27 Jul 2022 20:57:18 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

This patch series will add hydrus network along with all dependencies it needs and fixes
to already existing packages.
The hydrus-network package added in the last patch depends on all previous patches to
work, so I want to sent it all in one go.

Hydrus is something I wanted to use and decided to package, but this sent me on a deep rabbit
hole of packaging new software and fixing what's already present. There are still problems with
swftools and hydrus that I couldn't resolve, but those are minor and I'll dedicate time to fixing
them in the future. I provided more details in relevant commit messages and source comments.

Tomasz Jeneralczyk (6):
  gnu: Add swftools.
  gnu: Add python-xvfbwrapper.
  gnu: Add python-mpv.
  gnu: Add opencv-with-python.
  gnu: Update python-cloudscraper.
  gnu: Add hydrus-network.

 gnu/packages/animation.scm        |  93 ++++++++++++++++++++++
 gnu/packages/image-processing.scm |  12 +++
 gnu/packages/image-viewers.scm    | 127 ++++++++++++++++++++++++++++++
 gnu/packages/python-check.scm     |  22 ++++++
 gnu/packages/python-web.scm       |  10 +--
 gnu/packages/python-xyz.scm       |  62 +++++++++++++++
 6 files changed, 321 insertions(+), 5 deletions(-)

base-commit: ecb91c993dcce7e6c3faa0d156013dac42380cc6
-- 
2.37.1